# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/xsltproc pkgconfig(libpcre)
# END SourceDeps(oneline)
Name:           bti
Version:        032
Release:        alt1_3
Summary:        Bash Twitter/Identi.ca Idiocy

Group:          Networking/WWW
License:        GPLv2
URL:            https://github.com/gregkh/bti
# for downloading from github:
# wget --content-disposition %%{url}/tarball/%%{version}
Source0:        http://www.kernel.org/pub/software/web/bti/bti-%{version}.tar.xz
Source1:        README.identica

%if 0%{?el5}
%endif

%if 0%{?el5}
BuildRequires:  curl-devel
%else
BuildRequires:  libcurl-devel
%endif
# for building from github
# BuildRequires:  autoconf automake
BuildRequires:  liboauth-devel libxml2-devel pcre-devel
Source44: import.info

%description
Allows you to pipe your bash input to twitter or identi.ca in an easy
and fast manner to annoy the whole world.


%prep
%setup -q
cp -p %{SOURCE1} .


%build
# for building from github
# autoreconf --install --symlink
%configure
make %{?_smp_mflags} LDFLAGS="-L%{_libdir}/readline5"


%install
make install DESTDIR=$RPM_BUILD_ROOT
# bash completion
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
cp -p bti-bashcompletion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/bti


%files
%doc ChangeLog COPYING README README.identica RELEASE-NOTES
%doc bti.example
# Own the directory so that we do not need to Require:
# bash-completion just for one file
%dir %{_sysconfdir}/bash_completion.d
%config(noreplace) %{_sysconfdir}/bash_completion.d/bti
%{_bindir}/bti
%{_bindir}/bti-shrink-urls
%{_mandir}/man1/*



%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 032-alt1_3
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 032-alt1_2
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 031-alt1_3
- converted for Sisyphus

